:root {
    --level-1: #156FB5;
    --level-2: #ff8000;
    --level-3: #7b9fe0;
    --level-4: #f27c8d;
    --black: black;
    --red: red;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

ol {
    list-style: none;
}

body {
    margin: 50px 0 100px;
    text-align: center;
    font-family: "Inter", sans-serif;
}

.container {
    padding: 0 10px;
    margin: 0 auto;
    display: inline-block;
    position: relative;
}

.rectangle {
    position: relative;
    padding: 15px 5px;
    border-radius: 5px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15);
}
.avatar{
    width:40px; 
    height:40px;
    position: absolute;
    left:5px; 
    bottom:9%;  
    border-radius: 50%;
}
span {
    padding-left: 40px;
}


/* LEVEL-1 STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.level-1 {
    width: 20%;
    margin: 0 auto 160px;
    background: var(--level-1);
}

.level-1-0 {
    width: 10%;
    position: absolute;
    top: 10%;
    /* / Tính toán theo dữ liệu theo dữ liệu / */
    left: 35%;
    margin: auto ;
    font-size: 18px;
    background: #009900;
}
.level-1-1 {
    width: 10%;
    position: absolute;
    top: 10%;
    /* / Tính toán theo dữ liệu theo dữ liệu / */
    left: 55%;
    margin: auto ;
    font-size: 18px;
    background: #009900;
}

.level-1::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    width: 2px;
    height: 140px;
    background: var(--black);
}


/* LEVEL-2 STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.level-2-wrapper {
    position: relative;
    display: grid;
    grid-gap: 50px;
    /* / cần điền tùy theo cột / */
    /* grid-template-columns: repeat(9, 2fr); */
}

.level-2-wrapper::before {
    content: "";
    position: absolute;
    top: -20px;
    left: 110px;
    width: 95%;
    height: 2px;
    background: var(--black);
}

.level-2-wrapper::after {
    display: none;
    content: "";
    position: absolute;
    left: -20px;
    bottom: -20px;
    width: calc(100% + 20px);
    height: 2px;
    background: var(--black);
}

.level-2-wrapper li {
    position: relative;
}

.level-2-wrapper>li::before {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    width: 2px;
    height: 20px;
    background: var(--black);
}

.level-2 {
    width: 220px;
    margin: 0 auto 40px;
    background: var(--level-2);
}

.level-2::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    width: 2px;
    height: 20px;
    background: var(--black);
}

.level-2::after {
    display: none;
    content: "";
    position: absolute;
    top: 50%;
    left: 0%;
    transform: translate(-100%, -50%);
    width: 20px;
    height: 2px;
    background: var(--black);
}


/* LEVEL-3 STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.level-3-wrapper {
    position: relative;
    display: grid;
    grid-column-gap: 20px;
    width: 100%;
    margin: 0 auto;
}

.path {
    position: absolute;
    top: -20px;
    left: 110px;
    height: 2px;
    background: var(--black);
}

.level-3-wrapper>li::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -100%);
    width: 2px;
    height: 20px;
    background: var(--black);
}

.level-3 {
    margin-bottom: 20px;
    background: #1EC0A5;
}

/* LEVEL-4 STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.level-4-wrapper {
    position: relative;
    width: 80%;
    margin-left: auto;
}

.level-4-wrapper::before {
    content: "";
    position: absolute;
    top: -20px;
    left: -20px;
    width: 2px;
    height: calc(100% + 20px);
    background: var(--black);
}

.level-4-wrapper li+li {
    margin-top: 20px;
}

.level-4 {
    position: relative;
    font-weight: normal;
    font-size: 12px;
    background: var(--level-4);
}

.level-4::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0%;
    transform: translate(-100%, -50%);
    width: 20px;
    height: 2px;
    background: var(--black);
}


/* MQ STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */
@media screen and (max-width: 700px) {
    .rectangle {
        padding: 20px 10px;
    }

    .level-1,
    .level-2 {
        width: 100%;
    }

    .level-1 {
        margin-bottom: 20px;
    }

    .level-1::before,
    .level-2-wrapper>li::before {
        display: none;
    }

    .level-2-wrapper,
    .level-2-wrapper::after,
    .level-2::after {
        display: block;
    }

    .level-2-wrapper {
        width: 90%;
        margin-left: 10%;
    }

    .level-2-wrapper::before {
        left: -20px;
        width: 2px;
        height: calc(100% + 40px);
    }

    .level-2-wrapper>li:not(:first-child) {
        margin-top: 50px;
    }
}

